> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Report assertion runs

> Report the results of the data quality rule assertion runs back to DataHub.



## OpenAPI

````yaml post /api/dq/rules/report
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/dq/rules/report:
    post:
      tags:
        - Data quality
      summary: Report assertion runs
      description: >-
        Report the results of the data quality rule assertion runs back to
        DataHub.
      operationId: report_assertion_runs_api_dq_rules_report_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DQRuleReportItemList'
        required: true
      responses:
        '200':
          description: Report Completed.
          content:
            application/json:
              schema:
                type: boolean
                title: Response Report Assertion Runs Api Dq Rules Report Post
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    DQRuleReportItemList:
      properties:
        report_items:
          items:
            $ref: '#/components/schemas/DQRuleReportItem'
          type: array
          title: Report Items
          description: List of data quality rules.
      type: object
      required:
        - report_items
      title: DQRuleReportItemList
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DQRuleReportItem:
      properties:
        rule_id:
          type: string
          format: uuid
          title: Rule Id
          description: Unique ID of the data quality rule that generated this report entry.
        rule_name:
          type: string
          title: Rule Name
          description: Name of the rule corresponding to the rule_id.
        external_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Id
          description: Uniform Resource Name (URN) of the assertion in DataHub.
        status:
          type: string
          title: Status
          description: Result status of the rule run.
        output:
          anyOf:
            - type: string
            - type: 'null'
          title: Output
          description: Output or result details from the rule run.
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: Error message if the rule failed to execute properly.
      type: object
      required:
        - rule_id
        - rule_name
        - status
      title: DQRuleReportItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````